RubyGems Navigation menu

beaker 1.19.1

Puppetlabs accceptance testing harness

Versions:

  1. 4.28.1 - March 16, 2021 (292 KB)
  2. 4.28.0 - December 21, 2020 (292 KB)
  3. 4.27.1 - September 29, 2020 (288 KB)
  4. 4.27.0 - July 24, 2020 (286 KB)
  5. 4.26.0 - June 23, 2020 (286 KB)
  6. 1.19.1 - September 19, 2014 (288 KB)
Show all versions (192 total)

Runtime Dependencies (15):

  • aws-sdk = 1.42.0
  • blimpy ~> 0.6
  • docker-api >= 0
  • fission ~> 0.4
  • fog ~> 1.22.1
  • google-api-client ~> 0.7.1
  • hocon ~> 0.0.4
  • inifile ~> 2.0
  • json ~> 1.8
  • mime-types ~> 1.25
  • net-scp ~> 1.1
  • net-ssh ~> 2.6
  • nokogiri ~> 1.5.10
  • rbvmomi = 1.8.1
  • unf ~> 0.1
  • Development Dependencies (10):

  • fakefs = 0.4
  • gitlab-grit >= 0
  • markdown >= 0
  • minitest ~> 4.0
  • pry ~> 0.9.12.6
  • rake ~> 10.1.0
  • rspec ~> 2.14.0
  • simplecov >= 0
  • thin >= 0
  • yard >= 0
  • Owners:

    Authors:

    • Puppetlabs

    SHA 256 checksum:

    919e528604d0d67faea36bab38c2e7ab8a6c3d5cbdeff37650e5d796df860ee6

    Total downloads 3,115,969

    For this version 19,740

    Gemfile:
    = Copy to clipboard Copied!

    install:
    =

    License:

    Apache2

    Required Ruby Version: >= 0

    Links: